{% extends "../sub_base.html" %}
{% block title %}Users Wish List{% endblock %}

{% block sub_base_content %}
<div class="col-12 mx-auto">
  <h1 class="h3">My Wishlist</h1>
  <div>Manage your Wishlist</div>
  <hr />

  {% if wishlist %}
  {% for product in wishlist  %}

  <div class="card mb-3 rounded-0">
    <div class="row g-0">
      <div class="col-md-2">
        {% for image in product.product_image.all  %}
          {% if image.is_feature %}
          <img class="img-fluid d-block p-2" width="135px" src="{{ image.image.url }}"
            alt="{{ image.image.alt_text }}" />
          {% endif %}
        {% endfor %}
      </div>
      <div class="col-md-10">
        <div class="card-body">
          <h5 class="card-title">{{product.title}}</h5>
          <p class="card-text">{{product.description}}</p>
          <p class="card-text"><small class="text-muted">{{product.regular_price}}</small></p>
          <a type="button" class="btn btn-primary fw500 btn-sm" href="{% url 'account:user_wishlist' product.id %}">Remove from Wishlist</a>
        </div>
      </div>
    </div>
  </div>

  {% endfor %}
  {% else %}
  <p class="card-text">No products have been added to your wishlist yet</p>
  {% endif %}



</div>
{% endblock %}
{"mode":"full","isActive":false}